Huge exploit found on firmware 3.0.0: smhax

Discussion in 'Switch - Hacking & Homebrew' started by Josephvb10, Aug 17, 2017.

Thread Status:
Not open for further replies.
  1. nickerous

    nickerous Advanced Member

    Newcomer
    62
    7
    May 18, 2013
    United States
    I have a switch on 3.0, but not sure if I want to run out and buy another one just for homebrew. The only thing I really want is gamecube emulation. I have other devices for everything else...
     


  2. duffmmann

    duffmmann GBAtemp Psycho!

    Member
    3,706
    1,518
    Mar 11, 2009
    United States
    Meh, I have no doubt that exploits for 3.0.1 and later will be found in time as it is. I can wait for an exploit on the Switch, really all I want are emulators, and if Nintendo handles their virtual console service for the Switch the right way by making it a Netflix like service with a large selection of classics to choose from, then I may not even care if I can use emulators on the System or not.
     
  3. Abu_Senpai

    Abu_Senpai The Red King

    Member
    1,501
    758
    Jul 13, 2014
    United Kingdom
    Tokyo
    Wow this exploit being found on fw 3.0 is cool as hell. I cant believe im saying this.....but i am happy that i diddnt buy Splatoon II physical yet! or i most likely would have updated
     
  4. muskieratboi

    muskieratboi Rydian's got some competition!

    Member
    401
    235
    Sep 19, 2012
    Curses! Ran to my switch to check, but i'm on 3.0.1. Alas... :(
     
  5. ehnoah

    ehnoah GBAtemp Fan

    Member
    381
    72
    Oct 9, 2012
    Netherlands
    /Hype Backuploader or at least Gateway Switch inc :D
     
  6. octoplow

    octoplow Newbie

    Newcomer
    4
    2
    Jul 24, 2017
    United States
    NY
    Does anyone know how to update to 3.0.0 specifically or does 3.0.0 and below fall under exploitable?
     
    SLiV3R and PacPera like this.
  7. ScarletLetter

    ScarletLetter Member

    Newcomer
    48
    34
    Aug 13, 2017
    Antarctica
    [​IMG]
     
  8. Reecey

    Reecey Mario 64 (favorite game of all time)

    Member
    4,339
    1,121
    Mar 7, 2010
    At Home :)
    You do know the probability of Nintendo making sure your on firmware 3.01 to play Mario Odyseey will be on there most important list! well if it wasn't, it sure will now. I will bet on any future game from now on as well.
     
    Last edited by Reecey, Aug 17, 2017
    TheCyberQuake likes this.
  9. tetrabrik

    tetrabrik Advanced Member

    Newcomer
    67
    35
    Aug 13, 2017
    United States
    wow this is huge! and it makes it reaally tempting to get one off the shelves now that they're finally available.. oh boy!
     
  10. the_randomizer

    the_randomizer The Temp's official fox whisperer

    Member
    22,105
    10,438
    Apr 29, 2011
    United States
    Dr. Wahwee's castle
    That worked out pretty well with the PS3, right? IIRC, 3.51 is the only firmware that's hackable on the PS3.

    Edit: 3.55
     
    Last edited by the_randomizer, Aug 17, 2017
  11. SonyNintendoGamer1

    SonyNintendoGamer1 Member

    Newcomer
    37
    35
    Jun 27, 2017
    United States
    Glad I waited instead of updating like everyone else. Patience is a virtue.

    Not necessarily. Switch seems to have better security, PS4 is still locked to the ancient 1.76 fw if people want hax. For all we know this could be the only major bug.
     
    Tony_93, SLiV3R, CuriousTommy and 2 others like this.
  12. the_randomizer

    the_randomizer The Temp's official fox whisperer

    Member
    22,105
    10,438
    Apr 29, 2011
    United States
    Dr. Wahwee's castle
    Perhaps, hard to now for sure, but those who are on 3.0.0, good luck playing newer games lol.
     
  13. ScarletLetter

    ScarletLetter Member

    Newcomer
    48
    34
    Aug 13, 2017
    Antarctica
    3.55, but yeah. Close enough.
     
  14. the_randomizer

    the_randomizer The Temp's official fox whisperer

    Member
    22,105
    10,438
    Apr 29, 2011
    United States
    Dr. Wahwee's castle
    Whatevs. You knew what I meant, some consoles simply are not that exploitable.
     
    ScarletLetter likes this.
  15. ScarletLetter

    ScarletLetter Member

    Newcomer
    48
    34
    Aug 13, 2017
    Antarctica
    Yep. Efuses make it more difficult.
     
  16. Scrlklk

    Scrlklk Newbie

    Newcomer
    8
    3
    Jul 30, 2017
    Japan
    Just bought a second switch because of this news, hope its on 3.0.0
     
    Yanda likes this.
  17. NekoMichi

    NekoMichi Retro Collector

    Member
    1,288
    918
    Jun 4, 2015
    Minus World
    Dammit, accidentally updated to 3.0.1. That'll teach me for mashing the A button to launch a game without paying attention to the update message it triggers...
     
  18. mech

    mech ♥️♥️♥️♥️♥️♥️♥️♥️

    Member
    4,775
    3,043
    Oct 26, 2014
    Tuvalu
    It will be on 2.x.x which should be fine.
     
    DarkOrb and Scrlklk like this.
  19. Bakuryu42

    Bakuryu42 GBAtemp Regular

    Member
    100
    2
    Mar 9, 2009
    United States
    This is the real important question
     
  20. mech

    mech ♥️♥️♥️♥️♥️♥️♥️♥️

    Member
    4,775
    3,043
    Oct 26, 2014
    Tuvalu
  21. ScarletLetter

    ScarletLetter Member

    Newcomer
    48
    34
    Aug 13, 2017
    Antarctica
    Lower firmwares are affected, too.
    They have been using this exploit for a while now.
     
    Tomato Hentai and DayVeeBoi like this.
Thread Status:
Not open for further replies.